﻿Namespace bitly
    Public Class bly_pro_domain_parameters
        Private _Domain As String = String.Empty

        ''' <summary>
        ''' The domain of the pro account (ie: nyti.ms )
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the domain name of the pro account</returns>
        ''' <remarks></remarks>
        Public Property Domain() As String
            Get
                Return _Domain
            End Get
            Set(ByVal value As String)
                _Domain = value
            End Set
        End Property
    End Class

    Public Class bly_pro_domain_results
        Private _Domain As String = String.Empty
        Private _Bitly_pro_domain As String = String.Empty
        Public Status As New bly_error_status

        ''' <summary>
        ''' returns a 0 or 1 designating whether this is currently a pro domain (1 = yes 0 = no)
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing if the domain name is a pro account, (1 = yes 0 = no)</returns>
        ''' <remarks></remarks>
        Public Property Bitly_pro_domain() As String
            Get
                Return _Bitly_pro_domain
            End Get
            Set(ByVal value As String)
                _Bitly_pro_domain = value
            End Set
        End Property

        ''' <summary>
        ''' The domain of the pro account (ie: nyti.ms )
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the domain name of the pro account, and echo back from the request parameter</returns>
        ''' <remarks></remarks>
        Public Property Domain() As String
            Get
                Return _Domain
            End Get
            Set(ByVal value As String)
                _Domain = value
            End Set
        End Property
    End Class
End Namespace

