﻿Namespace bitly
    Public Class bly_error_status

        Private _Status_Code As String = String.Empty
        Private _Status_txt As String = String.Empty

        ''' <summary>
        ''' The Status code of the API call
        '''  200 for Successful requests
        '''  403 for Rate Limited
        '''  500 for Invalid requests or responses, see Status_txt for more info
        '''  503 for Temporary unavailability or Unknown errors
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> giving the status of the API call </returns>
        ''' <remarks></remarks>
        Public Property Status_Code() As String
            Get
                Return _Status_Code
            End Get
            Set(ByVal value As String)
                _Status_Code = value
            End Set
        End Property

        ''' <summary>
        ''' The Status description
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> giving the status description of the API call </returns>
        ''' <remarks></remarks>
        Public Property Status_txt() As String
            Get
                Return _Status_txt
            End Get
            Set(ByVal value As String)
                _Status_txt = value
            End Set
        End Property
    End Class
End Namespace

