﻿Namespace bitly

    Public Class bly_look

        Public Look As List(Of bly_look_inner)
        Public Status As New bly_error_status

    End Class


    Public Class bly_look_inner

        Private _Short_URL As String = String.Empty
        Private _Global_hash As String = String.Empty
        Private _URL As String = String.Empty


        ''' <summary>
        ''' The shortened bit.ly URL (as either http://bit.ly/1RmmUT or http://j.mp/1RmmUT)
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened URL.</returns>
        ''' <remarks></remarks>
        Public Property Short_URL() As String
            Get
                Return _Short_URL
            End Get
            Set(ByVal value As String)
                _Short_URL = value
            End Set
        End Property

        ''' <summary>
        ''' The shortened bit.ly Hash (as either 1RmmUT or a-custom-name ) globaly not just this user
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the shortened hash.</returns>
        ''' <remarks></remarks>
        Public Property Global_hash() As String
            Get
                Return _Global_hash
            End Get
            Set(ByVal value As String)
                _Global_hash = value
            End Set
        End Property

        ''' <summary>
        ''' The orginal (Long) URL
        ''' </summary>
        ''' <value></value>
        ''' <returns>An <c>String</c> representing the orginal URL.</returns>
        ''' <remarks></remarks>
        Public Property URL() As String
            Get
                Return _URL
            End Get
            Set(ByVal value As String)
                _URL = value
            End Set
        End Property

    End Class


End Namespace

